> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcripts Genes

> Retrieve genes from transcripts.

Set verbose = true to retrieve full info on the genes.

At least one of these fields is required: transcript_id, region or transcript_type.

Example: transcript_id = ENST00000440782,

region = chr1:711800-740000,

transcript_type = protein_coding,

organism = Homo sapiens,

transcript_id = ENST00000443707 (Ensembl ID).

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /transcripts/genes
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /transcripts/genes:
    get:
      summary: Transcripts Genes
      description: >-
        Retrieve genes from transcripts.


        Set verbose = true to retrieve full info on the genes.


        At least one of these fields is required: transcript_id, region or
        transcript_type.


        Example: transcript_id = ENST00000440782,


        region = chr1:711800-740000,


        transcript_type = protein_coding,


        organism = Homo sapiens,


        transcript_id = ENST00000443707 (Ensembl ID).


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.
      operationId: genesFromTranscripts
      parameters:
        - name: transcript_id
          in: query
          required: false
          schema:
            type: string
        - name: region
          in: query
          required: false
          schema:
            type: string
        - name: transcript_type
          in: query
          required: false
          schema:
            type: string
            enum:
              - IG_C_gene
              - IG_C_pseudogene
              - IG_D_gene
              - IG_J_gene
              - IG_J_pseudogene
              - IG_V_gene
              - IG_V_pseudogene
              - IG_pseudogene
              - Mt_rRNA
              - Mt_tRNA
              - TEC
              - TR_C_gene
              - TR_D_gene
              - TR_J_gene
              - TR_J_pseudogene
              - TR_V_gene
              - TR_V_pseudogene
              - artifact
              - lncRNA
              - miRNA
              - misc_RNA
              - non_stop_decay
              - nonsense_mediated_decay
              - processed_pseudogene
              - processed_transcript
              - protein_coding
              - protein_coding_CDS_not_defined
              - protein_coding_LoF
              - pseudogene
              - rRNA
              - rRNA_pseudogene
              - retained_intron
              - ribozyme
              - sRNA
              - scRNA
              - scaRNA
              - snRNA
              - snoRNA
              - transcribed_processed_pseudogene
              - transcribed_unitary_pseudogene
              - transcribed_unprocessed_pseudogene
              - translated_processed_pseudogene
              - translated_unprocessed_pseudogene
              - unitary_pseudogene
              - unprocessed_pseudogene
              - vault_RNA
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Mus musculus
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    source:
                      type: string
                    source_url:
                      type: string
                    version:
                      type: string
                    gene:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            chr:
                              type: string
                            start:
                              type: number
                              nullable: true
                            end:
                              type: number
                              nullable: true
                            gene_type:
                              type: string
                              nullable: true
                            name:
                              type: string
                            strand:
                              type: string
                              nullable: true
                            hgnc:
                              type: string
                              nullable: true
                            entrez:
                              type: string
                              nullable: true
                            collections:
                              type: array
                              items:
                                type: string
                              nullable: true
                            study_sets:
                              type: array
                              items:
                                type: string
                              nullable: true
                            source:
                              type: string
                            version:
                              type: string
                            source_url:
                              type: string
                            synonyms:
                              type: array
                              items:
                                type: string
                              nullable: true
                          required:
                            - _id
                            - chr
                            - start
                            - end
                            - gene_type
                            - name
                            - source
                            - version
                            - source_url
                          additionalProperties: false
                    transcript:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            transcript_type:
                              type: string
                            chr:
                              type: string
                            start:
                              type: number
                            end:
                              type: number
                            strand:
                              type: string
                            name:
                              type: string
                            gene_name:
                              type: string
                            MANE_Select:
                              type: boolean
                              nullable: true
                            source:
                              type: string
                            version:
                              type: string
                            source_url:
                              type: string
                          required:
                            - _id
                            - transcript_type
                            - chr
                            - start
                            - end
                            - strand
                            - name
                            - gene_name
                            - source
                            - version
                            - source_url
                          additionalProperties: false
                    name:
                      type: string
                  required:
                    - name
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````